Subject: Re: bug#24212: please add SOCKS support and enforced TCP to enable DNS resolution through Tor

From: Ian Jackson <[email-masked]>
Date: Mon, 5 Sep 2016 16:42:25 +0100

Werner Koch writes ("Re: bug#24212: please add SOCKS support and enforced TCP to enable DNS resolution through Tor"):
> The code I am using is
>       cfgstr = xtryasprintf ("nameserver %s\n"
>                              "options adns_tormode adns_sockscred:%s",
>                              tor_nameserver, tor_credentials);
...
> thus it would be easy to adjust.

OK, good.

> >    (If /all/ adns clients on a host should use the Tor server via
> >    SOCKS, then putting the socks configuration in the host-wide
> >    resolv.conf would be appropriate.)
> 
>   There are not many ADNS users on Debian and thus I doubt that
> system wide changes of resolv.conf are very useful.

Not useful in the context of Tor, you mean ?  Fair enough.

> The reason I added explicit Tor options is to make it crystal-clear that
> the intention is to use Tor and nothing else.

I'm not sure I follow.  The patches add a SOCKS client to adns.  Is
there some reason why users ought not to use this SOCKS client in
contexts other than Tor ?

> > I don't have an easy way to test this code.  If I send you a reference
> > to a git branch, would you be able to test it for me ?
> 
> Sure.

OK.  Thanks.  I will get back to you.

Ian.

-- 
Ian Jackson <[email-masked]>   These opinions are my own.

If I emailed you from an address @fyvzl.net or @evade.org.uk, that is
a private address which bypasses my fierce spamfilter.